<button mat-dialog-close
        mat-icon-button
        title="close"
        class="btn-icon-dialog-close">
  <mat-icon>close</mat-icon>
</button>
<div mat-dialog-content
     class="padding-0">
  <mat-tab-group>
    <mat-tab label="Task">

      <mat-table [dataSource]="tasks"
                 #matTable
                 class="lightBlue-bg-theme">
        <!--- Note that these columns can be defined in any order.
            The actual rendered columns are set as a property on the row definition" -->


        <!-- Name Column -->
        <ng-container matColumnDef="name">
          <mat-header-cell mat-header-cell
                           class=""
                           *matHeaderCellDef>Task Name</mat-header-cell>
          <mat-cell mat-cell
                    class=""
                    *matCellDef="let element">{{element.taskName}}

          </mat-cell>
        </ng-container>

        <!-- Type Column -->
        <ng-container matColumnDef="type">
          <mat-header-cell mat-header-cell
                           class=""
                           *matHeaderCellDef> Type </mat-header-cell>
          <mat-cell mat-cell
                    class=""
                    *matCellDef="let element">{{element.taskType}}
          </mat-cell>
        </ng-container>

        <!-- Role Column -->
        <ng-container matColumnDef="role">
          <mat-header-cell mat-header-cell
                           class="header-text"
                           *matHeaderCellDef> Role </mat-header-cell>
          <mat-cell mat-cell
                    class=""
                    *matCellDef="let element">{{element.role}}
          </mat-cell>
        </ng-container>

        <!-- Assignee Column -->
        <ng-container matColumnDef="assignee">
          <mat-header-cell mat-header-cell
                           class="header-text"
                           *matHeaderCellDef> Assignee </mat-header-cell>
          <mat-cell mat-cell
                    class=""
                    *matCellDef="let element">
            <mat-form-field floatLabel="never"
                            class="native-form-field">
              <mat-select [(value)]="element.assignee"
                          placeholder="Select">
                <mat-option [value]="item"
                            *ngFor="let item of assignees">{{item}}</mat-option>
              </mat-select>
            </mat-form-field>
          </mat-cell>
        </ng-container>

        <!-- Duration Column -->
        <ng-container matColumnDef="duration">
          <mat-header-cell mat-header-cell
                           class="header-text"
                           *matHeaderCellDef> Duration </mat-header-cell>
          <mat-cell mat-cell
                    class="mat-form-cell"
                    *matCellDef="let element">
            <mat-form-field floatLabel="never"
                            class="native-form-field">
              <input matInput
                     [(ngModel)]="element.duration"
                     placeholder="dd:hh:mm">
            </mat-form-field>

          </mat-cell>

        </ng-container>

        <!-- Duration Column -->
        <ng-container matColumnDef="action">
          <mat-header-cell mat-header-cell
                           class="flex-xs"
                           *matHeaderCellDef> &nbsp; </mat-header-cell>
          <mat-cell mat-cell
                    class="flex-xs"
                    *matCellDef="let element">
            <button [disabled]="element.taskType==='Main'"
                    mat-icon-button
                    title="remove"
                    (click)="delete(element)"
                    class="btn-icon-delete">
              <mat-icon>delete</mat-icon>
            </button>
          </mat-cell>

        </ng-container>

        <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
        <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
      </mat-table>

      <!-- ADD NEW -->
      <form [formGroup]="form"
            autocomplete="off">
        <div class="mat-row mat-cell xadd-new-row margin-child-items">
          <!--mat-cell to enforce font-size-->
          <mat-form-field floatLabel="never"
                          hideRequiredMarker
                          class="native-form-field">
            <input matInput
                   required
                   autofocus
                   maxlength="50"
                   formControlName="taskName"
                   placeholder="New Task Name">
          </mat-form-field>
          <mat-form-field floatLabel="never"
                          hideRequiredMarker
                          class="native-form-field">
            <mat-select formControlName="taskType"
                        required
                        placeholder="Task Type">
              <mat-option [value]="item"
                          *ngFor="let item of taskTypes">{{item}}</mat-option>
            </mat-select>
          </mat-form-field>
          <mat-form-field floatLabel="never"
                          hideRequiredMarker
                          class="native-form-field">
            <mat-select formControlName="taskType"
                        required
                        placeholder="Role">
              <mat-option [value]="item"
                          *ngFor="let item of roles">{{item}}</mat-option>
            </mat-select>
          </mat-form-field>
          <mat-form-field floatLabel="never"
                          hideRequiredMarker
                          class="native-form-field">
            <mat-select formControlName="taskType"
                        required
                        placeholder="Assignee">
              <mat-option [value]="item"
                          *ngFor="let item of assignees">{{item}}</mat-option>
            </mat-select>
          </mat-form-field>
          <button mat-button
                  type="submit"
                  class="btn-round btn-blue-secondary"
                  [disabled]="!form.valid"
                  (click)="add()">Add
          </button>
        </div>
      </form>
      <!-- END OF ADD NEW -->

     
    </mat-tab>
    <mat-tab label="Document">Content 2</mat-tab>
  </mat-tab-group>
</div>
<mat-dialog-actions>
    <button mat-flat-button
            class="btn-round"
            (click)="save()"
            [disabled]="saving">Save<app-spinner button
                   class="inline-spinner"
                   *ngIf="saving"></app-spinner></button>
  </mat-dialog-actions>
